<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="26" version="2.0">
<workbenchAdvisor/>
<window height="788" width="1386" x="-250" y="43">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout>
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="155" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="com.chipon.chiponide.ui.toolbar2" itemType="typeToolBarContribution" x="38" y="22"/>
<coolItem id="com.chipon.chiponide.ui.toolbar.common" itemType="typeToolBarContribution" x="84" y="22"/>
<coolItem id="com.chipon.chiponide.ui.toolbar1" itemType="typeToolBarContribution" x="38" y="22"/>
<coolItem id="org.eclipse.cdt.ui.CElementCreationActionSet" itemType="typeToolBarContribution" x="135" y="22"/>
<coolItem id="org.eclipse.cdt.ui.buildConfigActionSet" itemType="typeToolBarContribution" x="93" y="22"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="95" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="78" y="22"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="84" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="198" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.cdt.ui.editor.CEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page aggregateWorkingSetId="Aggregate for window 1461834413698" focus="true" label="工作空间 － KungFu项目">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</editorArea>
<editor activePart="true" focus="true" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.c" partName="kf8s_touch_w.c" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.68程序（外发版）/KF8S系列参考程序/防水库/KF8F_WaterProof_Touch_Demo_333_V3.5/kf8s_touch_w.c" title="kf8s_touch_w.c" tooltip="KF8F_WaterProof_Touch_Demo_333_V3.5/kf8s_touch_w.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8F_WaterProof_Touch_Demo_333_V3.5/kf8s_touch_w.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="86" selectionOffset="3462" selectionTopPixel="1208"/>
</editor>
</editors>
<views>
<view id="com.chipon.chiponide.ui.view.chiponview" partName="芯片信息"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer" partName="项目资源管理器">
<viewState CommonNavigator.LINKING_ENABLED="0" org.eclipse.cdt.ui.cview.groupincludes="false" org.eclipse.cdt.ui.cview.groupmacros="false" org.eclipse.cdt.ui.editor.CUChildren="true" org.eclipse.ui.navigator.resources.workingSets.showTopLevelWorkingSets="0"/>
</view>
<view id="com.chipon.chiponide.ui.views.ProgramUtilization" partName="资源使用率">
<viewState/>
</view>
<view id="org.eclipse.cdt.make.ui.views.MakeView" partName="Make 目标"/>
<view id="org.eclipse.search.ui.views.SearchView" partName="搜索">
<viewState isPinned="false">
<view IMemento.internal.id="" org.eclipse.search.lastActivation="0"/>
</viewState>
</view>
<view id="org.eclipse.ui.views.ProblemView" partName="问题">
<viewState PRIMARY_SORT_FIELD="org.eclipse.ui.ide.severityAndDescriptionField" categoryGroup="org.eclipse.ui.ide.severity" markerContentGenerator="org.eclipse.ui.ide.problemsGenerator" partName="问题">
<columnWidths org.eclipse.ui.ide.locationField="105" org.eclipse.ui.ide.markerType="105" org.eclipse.ui.ide.pathField="140" org.eclipse.ui.ide.resourceField="105" org.eclipse.ui.ide.severityAndDescriptionField="350"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.severityAndDescriptionField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.resourceField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.pathField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.locationField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.markerType"/>
</viewState>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="控制台">
<viewState/>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="大纲"/>
</views>
<perspectives activePart="org.eclipse.ui.navigator.ProjectExplorer" activePerspective="org.eclipse.cdt.ui.CPerspective">
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="com.chipon.chiponide.ui.PerspectiveFactory.KungFuperspective" id="org.eclipse.cdt.ui.CPerspective" label="KungFu项目"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="com.chipon.chiponide.ui.updatechipon.actionset"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.make.ui.makeTargetActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.buildConfigActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.NavigationActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.OpenActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CodingActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.presentation"/>
<alwaysOnActionSet id="com.chipon.chiponide.ui.OpenHelpDocActionSet"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.cdt.ui.CView"/>
<show_view_action id="org.eclipse.cdt.make.ui.views.MakeView"/>
<show_view_action id="org.eclipse.ui.navigator.ProjectExplorer"/>
<show_view_action id="org.eclipse.cdt.ui.includeBrowser"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.ConvertToMakeWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewMakeFromExisting"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewCWizard2"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFileCreationWizard"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.team.ui.TeamSynchronizingPerspective"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="com.chipon.chiponide.ui.view.chiponview"/>
<view id="org.eclipse.search.ui.views.SearchView"/>
<view id="com.chipon.chiponide.ui.views.ProgramUtilization"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.cdt.make.ui.views.MakeView"/>
<fastViewBars/>
<layout>
<mainWindow>
<info folder="true" part="topLeft">
<folder activePageID="org.eclipse.ui.navigator.ProjectExplorer" appearance="2" expanded="2">
<page content="org.eclipse.ui.navigator.ProjectExplorer" label="项目资源管理器"/>
<page content="org.eclipse.cdt.ui.CView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="stickyFolderRight" ratio="0.749499" ratioLeft="748" ratioRight="250" relationship="2" relative="topLeft">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.22839183" ratioLeft="436" ratioRight="1473" relationship="2" relative="topLeft"/>
<info folder="true" part="bottom" ratio="0.82399106" ratioLeft="735" ratioRight="157" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="问题"/>
<page content="org.eclipse.ui.console.ConsoleView" label="控制台"/>
<page content="com.chipon.chiponide.ui.view.chiponview" label="芯片信息"/>
<page content="org.eclipse.search.ui.views.SearchView" label="搜索"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
</presentation>
</folder>
</info>
<info folder="true" part="topRight" ratio="0.74899864" ratioLeft="561" ratioRight="188" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="com.chipon.chiponide.ui.views.ProgramUtilization" appearance="2" expanded="2">
<page content="com.chipon.chiponide.ui.views.ProgramUtilization" label="资源使用率"/>
<page content="org.eclipse.ui.views.ContentOutline" label="大纲"/>
<page content="org.eclipse.cdt.make.ui.views.MakeView" label="Make 目标"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8F_WaterProof_Touch_Demo_333_V3.0/kf8s_touch_w.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8F_WaterProof_Touch_Demo_333_V3.0/kf8s_touch_w.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1010_V3.0/kf8s_touch_w.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1011_V3.0/kf8s_touch_w.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1022_V3.0/kf8s_touch_w.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1010_V3.0/kf8s_touch_w.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1011_V3.0/kf8s_touch_w.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1022_V3.0/kf8s_touch_w.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8F_WaterProof_Touch_Demo_333_V3.5/kf8s_touch_w.c"/>
</editors>
<item historyLabel="kf8s_touch_w.c" index="0">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="0">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="1">
<position info="not_deleted" x="1937" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="2">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="0">
<position info="not_deleted" x="3462" y="86"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="2">
<position info="not_deleted" x="3664" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="3">
<position info="not_deleted" x="3664" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="4">
<position info="not_deleted" x="3466" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="5">
<position info="not_deleted" x="3551" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="1">
<position info="not_deleted" x="1909" y="48"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="6">
<position info="not_deleted" x="1957" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="7">
<position info="not_deleted" x="1957" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="8">
<position info="not_deleted" x="1957" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="9">
<position info="not_deleted" x="1909" y="48"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="8">
<position info="not_deleted" x="1957" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="7">
<position info="not_deleted" x="1957" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="6">
<position info="not_deleted" x="1957" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="1">
<position info="not_deleted" x="1909" y="48"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="2">
<position info="not_deleted" x="3664" y="0"/>
</item>
<item historyLabel="kf8s_touch_w.h" index="1">
<position info="not_deleted" x="1909" y="48"/>
</item>
<item historyLabel="kf8s_touch_w.c" index="0">
<position info="not_deleted" x="3462" y="86"/>
</item>
<item active="true" historyLabel="kf8s_touch_w.c" index="10">
<position info="not_deleted" x="3462" y="86"/>
</item>
</navigationHistory>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.h" tooltip="KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w.h">
<persistable path="/KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.h" tooltip="KF8S_WaterProof_Touch_Demo_1022_V3.0/kf8s_touch_w.h">
<persistable path="/KF8S_WaterProof_Touch_Demo_1022_V3.0/kf8s_touch_w.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.h" tooltip="KF8S_WaterProof_Touch_Demo_1011_V3.0/kf8s_touch_w.h">
<persistable path="/KF8S_WaterProof_Touch_Demo_1011_V3.0/kf8s_touch_w.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.h" tooltip="KF8S_WaterProof_Touch_Demo_1010_V3.0/kf8s_touch_w.h">
<persistable path="/KF8S_WaterProof_Touch_Demo_1010_V3.0/kf8s_touch_w.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.c" tooltip="KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.c" tooltip="KF8S_WaterProof_Touch_Demo_1022_V3.0/kf8s_touch_w.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1022_V3.0/kf8s_touch_w.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.c" tooltip="KF8S_WaterProof_Touch_Demo_1011_V3.0/kf8s_touch_w.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1011_V3.0/kf8s_touch_w.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.c" tooltip="KF8S_WaterProof_Touch_Demo_1010_V3.0/kf8s_touch_w.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1010_V3.0/kf8s_touch_w.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.h" tooltip="KF8F_WaterProof_Touch_Demo_333_V3.0/kf8s_touch_w.h">
<persistable path="/KF8F_WaterProof_Touch_Demo_333_V3.0/kf8s_touch_w.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w.c" tooltip="KF8F_WaterProof_Touch_Demo_333_V3.0/kf8s_touch_w.c">
<persistable path="/KF8F_WaterProof_Touch_Demo_333_V3.0/kf8s_touch_w.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" tooltip="KF8S_WaterProof_Touch_Demo_1011_V3.0/main.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1011_V3.0/main.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8s_touch_w_lib.c" tooltip="KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w_lib.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1024_V3.0/kf8s_touch_w_lib.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" tooltip="KF8S_WaterProof_Touch_Demo_1024_V3.0/main.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1024_V3.0/main.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" tooltip="KF8S_WaterProof_Touch_Demo_1010_V3.0/main.c">
<persistable path="/KF8S_WaterProof_Touch_Demo_1010_V3.0/main.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" tooltip="KF8F_WaterProof_Touch_Demo_333_V3.0/main.c">
<persistable path="/KF8F_WaterProof_Touch_Demo_333_V3.0/main.c"/>
</file>
</mruList>
</workbench>